0.01  16 Jan 2002  PRE
----------------------
      - First created.

0.02  17 Jan 2002  PRE
----------------------
      - Command line option '-file' added to allow different Config
        files to be edited.
      - Bugfix: sometimes error after starting.
      - Buttons for 'Profiles' and 'Default' may now be suppressed.
      - Directory menus added.
      - Some minor bugfixes.
      - Support for !Help and !BubbleHelp added.

0.03  20 Jan 2002  PRE
----------------------
      - Bugfix: after changing !Config's choices, the window size
        was wrong.
      - Bugfix: F12 didn't work anymore. Unused keys are now
        returned to the wimp.
      - Bugfix: ColourPicker was broken.
      - Bugfix: Directory menus were not reloaded correctly.
      - Bugfix: Colour fields are now updated properly.

0.04  03 Feb 2002  PRE
----------------------
      - Bugfix: Main window wasn't centered properly.
      - Support for sub-tabs implemented.
      - Colour fields may now be right aligned (2nd column).
      - Radio buttons added.
      - Colour fields changed (3D, menu button removed).
      - Internal code optimised.
      - Transparent colours can now be created.
      - Support for standard RISC OS icons implemented.
      - Optional Menu-icon for colour fields added.
      - Some minor bugfixes and improvements.

0.05  23 Feb 2002  PRE
----------------------
      - Bugfix: Arrows were slightly misaligned.
      - Numbers added to sub-tabs.
      - 'Options...' added to main menu.
      - Bugfix: Pointer icons got lost.
      - Bugfix: Got menus with dividers wrong.
      - Bugfix: ColourPicker locked up when typing a value.

0.06  23 Feb 2002  PRE
----------------------
      - Tab-icons are now centered automatically.
      - Global percentage added to hourglass when starting.
      - Bugfix: Missing icons caused a fatal error.
      - Initial position of !Config's own config window changed.
      - Layout of !Config's own choices changed.
      - Hourglass now shows a better percentage.

0.07  27 Feb 2002  PRE
----------------------
      - Bugfix: System font got lost on some machines.

0.08  11 Mar 2002  PRE
----------------------
      - Bugfix: Missing sprite could cause an error.

0.09  20 Mar 2002  PRE
----------------------
      - Bugfix: Title icon had a filled background.
        RELEASED

0.10  24 Mar 2002  PRE
----------------------
      - Icons in top row tabs vertically adjusted.
      - OLE field added.
        RELEASED

0.11  28 Mar 2002  PRE
----------------------
      - Pointer sprites were missing.
      - RISC OS style arrows and menu icons better adjusted.
      - Bugfix: Radio buttons now work correctly
        RELEASED

0.12  30 Mar 2002  PRE
----------------------
      - No error is now given when the input file doesn't exist,
        to allow for new files to be created.
      - Percentage indicator is now more accurate.

0.14  16 Apr 2002  PRE
----------------------
      - MenuDir adapted to allow longer filenames (i.e. RO4).
      - MenuDir now allows Title files to be used (fancy menus).

0.15  26 Jun 2002  PRE
----------------------
      - Bugfix: Filer menus got corrupted.

0.16  12 Jul 2002  PRE
----------------------
      - Starting !Config caused a window redraw outside the main window.

0.20  14 Aug 2002  PRE
----------------------
      - Name changed to !ConfiX as !Config was already reserved.
      - EnvVar changed to <ConfiX$Dir>.
      - Font entry, menu icon adjusted by one pixel.
      - WebAddress for updates changed to match new XAT website.
      - All ConfiX choices moved to a single window.
      - Some text and options corrected in ConfiX choices.
      - Help text modified.
      - Info window changed to standard design.
      - Email and Web links now in Messages file rather than Config.
      - Internationalised; Dutch added.
      - New icon for !ConfiX.
      - Bugfix: Colour menu-icon was sometimes not displayed correctly.
      - ConfiX' own settings much simplified. Alternative icons removed.

0.30  23 Oct 2002  PRE
----------------------
      - Some small textual changes.
      - Minor change to !Boot file.
      - Converted to 32-bit.

0.31  02 Nov 2002  PRE
----------------------
      - Some alternative spellings added.
      - Bugfix: floating point fields were broken.
      - Some internal code cleanup.
      - Sub-group row of TABs is now automatically inserted.
      - New switch '-help' added.

0.32  10 Nov 2002  PRE
----------------------
      - Bugfix: Numbers in lower tabs got lost.
      - Menu spacing is now 44 OS-units on all menus.
      - Inner and outer window borders are now configurable.
      - Some error messages improved.
      - Bugfix: error was caused when a tab-sprite was missing.
      - ConfiX' own settings enhanced; now using 3 tabs.
      - New switch '-hide' added.
      - VSync added to allow smooth scrolling on IYONIX.
      - API updated to reflect changes and correct typos.

0.33  13 Nov 2002  PRE
----------------------
      - Bugfix: Vsync synchronisation got broken in previous version.

0.40  26 Nov 2002  PRE
----------------------
      - Empty 'Config' file would cause a fatal error.
      - Extra check for RISC OS 5 added to smooth scrolling settings.
      - Support for web colour added (e.g. #ff9955).
      - Support for Oregano2-type config files added.
      - Support for various Boolean formats added.
      - VersionCheck added for future use.
      - Empty variables may now be omitted from the Config file.
      - Limit check for Integer objects added.
      - Support added for 'Format' variable in file header.
      - Options -prefix and -suffix added to directory menu.
      - Optional 'Default' item added to menus (switch '-none').
      - Switch '-noext' added to menus (to remove DOS extension).
      - FileType may now be specified in the _Config file.

0.41  26 Nov 2002  PRE
----------------------
      - Bugfix: web colours were lost (transparency bit got set).
      - Web colours may now be set to 'none' to allow the default
        to be used.
      - TABs may be disabled by placing a '%' before the TAB-name.
        e.g. [%TabName] instead of [TabName].
      - Up/Down arrow position may be reversed (in line with RO5).
      - Bugfix: Clicking an arrow could skipp to the next TAB.

0.42  08 Dec 2002  PRE
----------------------
      - New header var LineSpacing added. Allows control
        of extra lines above and below the group name.
      - Window size now adjusts automatically to the TAB size.
      - Header var Help added to allow control of the Help line.
      - Default button is now aligned to the left of the window.
      - Some new vars added to _Config header to allow flexible
        control over buttons and tabs.
      - Bugfix: double ticks could appear in a filer menu.
      - Bugfix: No tick was shown in a user menu.
      - Switch '-fix' added to string objects (Drop or Options)
        to prevent menu icon from shrinking the writable icon.
      - Up/Down arrow order now by default as per RISC OS 5 convention.
      - IP field added (can be used for IP address and Netmask).
      - BlockDriver field added.

0.43  10 Dec 2002  PRE
----------------------
      - Bugfix: Numerical and Text fields got broken in previous
        release.

0.44  28 Dec 2002  PRE
----------------------
      - Some messages were lost in international version.
      - Some web links got broken.
      - Some corrections in international files.
      - More text internationalised.
      - BlockDriver support much enhanced.
      - Option -wide added to IP objects.
      - Now correctly starts browser when URL link is clicked.

0.47  30 Jan 2003  PRE
----------------------
      - Output Path now created automatically when saving Config.
      - Error message added when illegal task handle is used.
      - Icons may now be greyed out depending on the state of another
        icon. These structures may be nested. New variable 'Enable'
        added.
      - Option '-fs' added to 'Drop' variable, to allow only the
        filing system name to be used.
      - Option '-add' added to allow multiple items to be added
        to a Drop line.
      - Option -remove added to allow selections to be undone.
      - Filing system menus added (Menu = #FS;fs;<options>)
      - Menus now open to the right of a menu icon as per style guide.
      - Comment boxes added.

0.48  03 Feb 2003  PRE
----------------------
      - Some improvements to greyout algorithm.
      - UseGroups=0 now ignores group names when reading variables.
      - Caret can no longer be inherited by a greyed icon.
      - New object 'Info' added.
      - Option '-pwd <char>' added to String objects, to allow for passwords.
      - Utility 'CheckVer' added to Resources.

0.49  09 Feb 2003  PRE
----------------------
      - Minor change to CheckVer to allow -prefix and -file to be omitted.
      - Significant improvements to greyout algorithm.
      - Now less screen flicker when greying out icons.
      - Multiple values can now be used for Enable variable (greyout).
      - Minor bugfix to dynamic menus (dotted line).
      - Now properly checks for ABCLib and installs a new version if necessary.

0.50  17 Feb 2003  PRE
----------------------
      - Bugfix: Profiles menu was opened in wrong position.

0.51  22 Feb 2003  PRE
----------------------
      - New object 'Slider' added.
      - Significant speed improvement when starting.
      - Option -wimp added to Colour boxes (to allow selection of wimp colours).
      - Wimp colour can now be selected for the Help line (ConfiX' choices).

0.52  02 Mar 2003  PRE
----------------------
      - TAB characters can now be used as separator again (got broken in 0.51).

0.53  21Mar 2003  PRE
---------------------
      - OK button added (optional, application specific).
      - New OK button generates messsage 'ConfigOK <filename>'.
      - Clicking Cancel will now restore the caret to the previous owner.
      - Comment wasn't greyed out in Float objects.
      - Number of decimal places for a Float object can now be set;
        option '-dec <places>' added to Options variable. This helps to
        fix rounding errors caused by BASIC and ABC.
      - Support for TrueType fonts added: Menu = #Fonts;tt;<path>.

0.54  23 Mar 2003  PRE
----------------------
      - TrueType font menu now also accepts files (rather than just directories).
      - Layout selector added to allow different ConfiX window layouts.
      - Layout option added to _Config header (not recommended).
      - Bugfix: -tab 0 now selects the first tab.
      - Menu titles were restricted to 12 characters.
      - Menus now stay open when Adjust-clicked.
      - Read only icons are now solid (rather than showing the background).
      - Adjust-clicking on the Up/Down arrows now has the opposite effect.
      - Optional ShiftStep variable added (in addition to Step).
      - All readable and writable icons now respond to the Align variable.
      - Fix for rounding errors removed.
      - Window Height is now automatically adjusted to fit all icons.

0.55  26 Mar 2003  PRE
----------------------
      - Bugfix: Helptext of first icon would be displayed if mouse was
        over an empty area.
      - Bugfix: Text within an icon can now be aligned using TextAlign.

0.60  27 Mar 2003  PRE
----------------------
      - Bugfix: OK button wasn't behaving correctly.
      - New layout added (Next/Previous buttons).
      - New layout added (Scrollable icons).
      - Floating point precision fixed.

0.62  29 Mar 2003  PRE
----------------------
      - Fix for Microsoft-only TrueType fonts.

0.63  05 Apr 2003  PRE
----------------------
      - Bugfix: help text now correct in Layout 'ScrollIcons'.
      - Bugfix: Heading text in 'ScrollIcons' sometimes got corrupted.
      - Bugfix: Spurious window in 'ScrollIcons' when only one TAB is used.
      - Bugfix: Auto window height calculation missed last window.
      - Bugfix: Clicking Menu over the scrollable icons now opens the main menu.
      - Improved support for global help.
      - Bugfix: Icon width calculation for 2nd column was wrong.
      - Colour field can now also be greyed out.
      - Bugfix: ShiftStep got broken.
      - Bugfix: Adjust clicking a radio button would deselect it.
      - Now showing multiple ticks when multiple menu items are selected.
      - Bugfix: Group title in Layout 2 was missing on pre-RO5.
      - Bugfix: Default button was missing from Layout 2.
      - Some improvements in TT font handling.
      - Option '-default <text>' added to user menus (Selects the Default$).
      - External menus added.

0.64  07 Apr 2003  PRE
----------------------
      - Bugfix: Group title wasn't displayed correctly in some layouts.
      - Bugfix: Adjust clicking a TAB radio button would deselect it.

0.65  25 Apr 2003  PRE
----------------------
      - Lower TABs now properly aligned (was one pixel off).
      - Gap object now responds to the Width variable.
      - Auto height now correctly calculated for Radio objects.

0.66  02 May 2003  PRE
   Width of buttons and menus in the 2nd column now calculated correctly.
   Unused BlockDriver fields now show 'Fixed'.

0.67  04 May 2003  PRE
   Button objects can now be right alligned within column.
   Option '-full' added to Colour objects (to gain full window width).
   Option '-fix' added to Menu objects.
   Optional 'Comment' added to Menu objects.

0.70  03 Jul 2003  PRE
   Arrows may now be hidden from Integer objects (-noarrows).
   Bugfix: auto height calculation went wrong for horizontal radio objects.
   Now copes with command line string > 256 characters.

0.72  14 Aug 2003  PRE
   Printer menus added.
   German resources added.

0.73  31 Aug 2003  PRE
   Variable 'Offset' added to Group header (allow for gap between TABs).
   Sprite (icon) width, height and border may now be set.
   FS menus now shows ticks for selected items.
   Font menu title iternationalised
   New support for international _Config files added.
   French resources added.
   Additional Dutch resources added.
   Spacing between objects may now be configured.
   Choices are now stored in !Boot.Choices.
   Sprite objects may now contain Help text.
   Width of a column may now be set locally for each TAB, using 'Column'.
   New icons added for the TABs.

0.75  22 Jan 2004  PRE
   !Help file internationalised.
   French help file added.
   ConfiX now selects correct language when double clicked.
   Some minor changes.
   Main menu now accpets items longer than 12 characters.
   Warning message if Layout has changed re-instated.
   Bugfix: If RO5 detection was turned off, !ConfiX wouldn't start anymore.
   Double clicking !ConfiX, now allows !ConfiX' own settings to be changed.
   French resources updated.
   Error messages internationalised.
   Last line of external menu produced garbage if line wasn't terminated.
   Bugfix: Config file was always stored inside !ConfiX.
   Bugfix: Memory allocation problem fixed.
   Profile button may now be preplaced by a menu-icon (Profiles=2).

0.77  16 Mar 2004  PRE
   Now reads the version number from the _Info file.
   The use of sub-groups no longer forces the default layout (configurable).
   Now supports the '-ignore' switch in file/dir menus.
   Sprite object specification extended (ref to menu entry and ext file).
   Optional Help button added to each TAB.
   Option added to allow Help button to be configured.
   BumpScrolling added for scrollable list(s).
   Options added to allow configuration of BumpScrolling.
   Hidden TABs improved.
   Optional Hide text added to _Config header.
   Bugfix: Caret could be placed inside a greyed out field.
   Contents of hidden TABs can now be shown (-showhide 1).
   Memory allocation bug fixed (could cause an abort in Kernel space).

0.78  21 Mar 2004  PRE
   Removed debugging code that left 'AAA' file in the root of the HD.

0.79  22 Mar 2004  PRE
   Fixed yet another memory allocation bug.

0.80  07 Apr 2004  PRE
   Colour object text may now be hidden from the template (using '|').
   Bugfix: Recursive greying out of icons sometimes went wrong.

0.81  24 Jul 2004  PRE
   Error message when '!Printers not found' internationalised.
   Comment and Info objects now respect the Width and TextAlign parameters.
   Bugfix: wide IP objects were not displayed correctly.
   Help text for the standard buttons added.

0.82  15 Sep 2004  PRE
   Bugfix: OLE object now checks for the existence of the !Run file.
   OLE object now ignores a trailing point (directory separator).
   Help text now also shown when mouse is over Legend or Arrows.

0.83  28 Apr 2005  PRE
   A menu entry will now be greyed out if it is preceded by a ~ (tilde).
   CheckVer modified to check a file before running it.
   Dashed lines added to external menus.
   Fixed tick for current item in external menus.

0.84  26 Sep 2005  PRE
   -url option now adds 'file:/' to the beginning of the string.
   String is no longer cleared when a file is dragged-in (unless specified).
   Option -sub <dir> added to 'Drop' to allow a subdir to be added.
   CPU load greatly reduced by using 'PollIdle' rather than 'Poll'.
   Now defaults to 'Homerton.Medium' when help font not found.

0.85  17 Mar 2006  PRE
   Bugfix: Empty menu directory caused abort.
   SysVar option added to Config header.
   '_Profiles' directory is now in the same directory as the 'Config' file.
   Bugfix: Float field got corructed when decreasing from 0.10 to 0.09.
   Boundary checking now also applies to Float fields when saving.

0.90  10 Sep 2006  PRE
   Bugfix: Header option 'UseGroups=2' was broken.
   Bugfix: Adjust clicking on some icons caused the icon to be inverted.
   Bugfix: Window height now correctly adjusted in layout 'RadioLeft'.
   Leading spaces in the 'Config' file are now ignored.
   Support added for various colour formats.
   Layout 'Menu' added.
   Option added to place menu-icon in front off page title (Layout 'Menu').
   Option added to display group icon in header (Layout 'Menu').
   Error message added when incorrect colour format encoutered.
   Sprite object now calculates minimum width and height.
   Separate path can now be specified for loading and saving Config file.
   Now accepts wimp message 'Front' to bring window to the front.
   Setting Profiles to 0 now removes 'Save as' and 'Find' from the menu.
   Option 'Profiles=3' added to show profiles in main ConfiX menu.
   Profiles now accept long names (spaces are converted to hard-spaces).
   Old '_Profiles' directory automatically moved to new location.
   Profiles menu now stays open on Adjust-click.
   Main menu now stays open on Adjust-click.
   Command line option '-groupicon' added.
   Header variable 'GroupIcon' added.
   'Disable' variable added to object descriptor (instead of 'Enable').
   Bump Scrolling now much smoother.
   'Profiles' button now (dis)appears whenever profiles are (not) present.
   Command line option '-name' added.
   Title variable in header may now contain variable (e.g. '%0 choices').
   *commands in 'Button' objects now use Wimp_StartTask rather than OS_CLI.
   When prefixed by '*' it is still executed as OS_CLI.
   Failing *commands now produce a Beep rather than an error.
   Bugfix: when quitting now only SysVars belonging to ConfiX are cleared.
   Bugfix: error was produced when an icn in the lower tabs didn't exist.
   Bugfix: '-strip' option of String object was broken.
   SysVars now updated when contents of a writable icon are changed.

0.91  19 Mar 2010  PRE
   FTP/URL may now contain '@' for auto logon without launching mail client.

1.00  08 Apr 2011  PRE
   Renumbered for official release.
   Some minor issues fixed.

1.10  02 Feb 2012  PRE
   Buttons can now send WIMP messages back to the application (#).
   Pressing Cancel now sends WIMP message 'ConfigCancel' to the app.
   New command line option -id added. Will be attached to WIMP messages.
   Switch -nospace added to Text objects.

1.20  12 Aug 2014  PRE
   Recompiled with new ARMv7 compatible modules.

1.30  12 Jul 2015  PRE
  - Fixed zero-page pointers.

1.31  01 Feb 2016  PRE
  - Recompiled with ABCLib 4.17 Beta.

1.40  24 Apr 2017  PRE
  - Support for serial BlockDrivers updated.
  - Memory allocation problem solved.
